Results 1 to 10 of 10

Thread: Intel Continues Advancing OpenGL GLSL Support

  1. #1
    Join Date
    Jan 2007
    Posts
    14,788

    Default Intel Continues Advancing OpenGL GLSL Support

    Phoronix: Intel Continues Advancing OpenGL GLSL Support

    Intel Open-Source Technology Center developers continue advancing support for the OpenGL Shading Language. Their latest work is on supporting Interface Blocks for GLSL 1.50...

    http://www.phoronix.com/vr.php?view=MTMyNjM

  2. #2

    Default

    Quote Originally Posted by phoronix View Post
    Hopefully Intel and other Mesa developers will have OpenGL 3.2 + GLSL 1.50 support firmly in place within the next five months so that the next release will be Mesa 10.0 with official GL 3.2 compliance.
    It will be GL 3.2 and 3.3. According to the "Status of OpenGL 3.x features in Mesa" file on freedesktop.org:

    http://cgit.freedesktop.org/mesa/mesa/tree/docs/GL3.txt

    The last remaining feature needed for full 3.3 compatibility is "pretty much done". (I suspect that they're waiting on whatever's missing from GLSL1.5)

  3. #3
    Join Date
    Nov 2007
    Posts
    1,024

    Default

    Quote Originally Posted by halfmanhalfamazing View Post
    It will be GL 3.2 and 3.3. According to the "Status of OpenGL 3.x features in Mesa" file on freedesktop.org:

    http://cgit.freedesktop.org/mesa/mesa/tree/docs/GL3.txt

    The last remaining feature needed for full 3.3 compatibility is "pretty much done". (I suspect that they're waiting on whatever's missing from GLSL1.5)
    GL 3.3 requires GLSL 3.30, not just 1.50. The changes are likely doable, but I wouldn't be too surprised if they'er not done. Hopefully they are, GLSL 3.30 is when it started to get bearable to use.

  4. #4
    Join Date
    Sep 2008
    Location
    Vilnius, Lithuania
    Posts
    2,551

    Default

    Quote Originally Posted by halfmanhalfamazing View Post
    It will be GL 3.2 and 3.3. According to the "Status of OpenGL 3.x features in Mesa" file on freedesktop.org:
    Maybe they'll skip Mesa 10.0 and go directly to Mesa 11.0?

  5. #5
    Join Date
    Nov 2008
    Location
    Madison, WI, USA
    Posts
    874

    Default

    Quote Originally Posted by elanthis View Post
    GL 3.3 requires GLSL 3.30, not just 1.50. The changes are likely doable, but I wouldn't be too surprised if they'er not done. Hopefully they are, GLSL 3.30 is when it started to get bearable to use.
    And according to the GL3.txt document, the GLSL new 3.30 features are basically done. I haven't looked at the code (or maybe it's in a branch somewhere), but supposedly the GLSL 3.30 features are almost finished. Who knows, that line of the document has been that way for a while, so maybe someone's already finished the necessary changes and not updated the document.

  6. #6
    Join Date
    Aug 2011
    Location
    Hillsboro, Oregon
    Posts
    136

    Default

    Quote Originally Posted by GreatEmerald View Post
    Maybe they'll skip Mesa 10.0 and go directly to Mesa 11.0? :D
    Oh, believe me, we've thought about it! :D The FAQ entry alone would be hilarious: "Why is there no Mesa 10?" ... "Q: Why didn't you just make Mesa 10 louder?" "A: uh...This Mesa goes to 11..."

    We'll have to see. :) If nothing else, it was hilarious to talk about.

  7. #7
    Join Date
    Feb 2008
    Location
    Linuxland
    Posts
    5,102

    Default

    It has to one-up DX versioning, thus the next version must be Mesa Black.

  8. #8
    Join Date
    Jan 2013
    Posts
    989

    Default

    Quote Originally Posted by Kayden View Post
    Oh, believe me, we've thought about it! The FAQ entry alone would be hilarious: "Why is there no Mesa 10?" ... "Q: Why didn't you just make Mesa 10 louder?" "A: uh...This Mesa goes to 11..."

    We'll have to see. If nothing else, it was hilarious to talk about.
    Kayden, guys, please, we want discreet card that works on your awesome open drivers. Badly! : ((

  9. #9

    Default

    Quote Originally Posted by brosis View Post
    Kayden, guys, please, we want discreet card that works on your awesome open drivers. Badly! : ((

  10. #10
    Join Date
    Jan 2013
    Posts
    989

    Default

    Quote Originally Posted by halfmanhalfamazing View Post
    [IMG ]http://www.vgamuseum.info/images/stories/vlask/ostatni/i7404mfb.jpg[ /IMG]
    740 is voodoo era, mate

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •